[Unit]
Description=Hourly Dotfiles Check
Wants=network-online.target
After=network-online.target

[Service]
Type=oneshot

# Change this to your repo path
WorkingDirectory=%h/.dotfiles

# Pull latest changes
ExecStart=/usr/bin/git pull public master --ff-only

# Optional: quieter logs
Nice=10

